# IConsoleVar Struct Reference

--Variables-- Variables are pointers to real ingame variables which allow for changing while ingame. More...

`#include <console_internal.h>`

## Data Fields
char * | name
| name of the variable
IConsoleVar * | next
| next variable in list
void * | addr
| the address where the variable is pointing at
uint32 | size
| size of the variable, used for strings
char * | help
| the optional help string shown when requesting information
IConsoleVarTypes | type
| type of variable (for correct assignment/output)
IConsoleCmdProc * | proc
| some variables need really special handling, use a callback function for that
IConsoleHooks | hook
| any special trigger action that needs executing

## Detailed Description

--Variables-- Variables are pointers to real ingame variables which allow for changing while ingame.

After changing they keep their new value and can be used for debugging, gameplay, etc. It accepts:

- no arguments; just print out current value
- '= <new value>="">' to assign a new value to the variable
- '++' to increase value by one
- '--' to decrease value by one

Definition at line 69 of file console_internal.h.

The documentation for this struct was generated from the following file:

- src/console_internal.h